/***************************************************************************
    pconf.h

    Copyright (c) 2002-2003  Vladimir Toncar

    The contents of this file are subject to the Mozilla Public License
    Version 1.1 (the "License"); you may not use this file except in
    compliance with the License. You may obtain a copy of the License at
    http://www.mozilla.org/MPL/

    Software distributed under the License is distributed on an "AS IS"
    basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
    See the License for the specific language governing rights and
    limitations under the License.

    The Original Code is oh323tut.

    The Initial Developer of the Original Code is Vladimir Toncar.
    All Rights Reserved.

    Contributor: Peter Nixon <codemonkey@peternixon.net>

 ***************************************************************************/

#ifndef _PCONF_H
#define _PCONF_H

#include <ptlib.h>

#define DEFAULT_PORT 1820

class  ProgConf 
{
 public:
  ProgConf();
  enum GkMode { 
    NoGatekeeper,
    RegisterWithGatekeeper
  }; 
  
  GkMode       gkMode;
  PString      gkAddr;
  PString      gkId;
  WORD         port;
  PString      fileName;
  PString      callingNumber;
  PStringArray userAliases;
  BOOL         fastStart;
  BOOL         h245Tunnell;
}; 


#define OH323TUT_VER_MAJOR 1 
#define OH323TUT_VER_MINOR 0
#define OH323TUT_VER_STATUS ReleaseCode
#define OH323TUT_VER_BUILD 3 

#endif
