/***************************************************************************
    h323ac.h
    
    Copyright (c) 2002-2003  Vladimir Toncar

    The contents of this file are subject to the Mozilla Public License
    Version 1.1 (the "License"); you may not use this file except in
    compliance with the License. You may obtain a copy of the License at
    http://www.mozilla.org/MPL/

    Software distributed under the License is distributed on an "AS IS"
    basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
    See the License for the specific language governing rights and
    limitations under the License.

    The Original Code is oh323tut.

    The Initial Developer of the Original Code is Vladimir Toncar.
    All Rights Reserved.

    Contributor: Peter Nixon <codemonkey@peternixon.net>

 ***************************************************************************/

#ifndef _OH323TUT_H
#define _OH323TUT_H

#include <ptlib.h>
#include <ptlib/pprocess.h>


#include "pconf.h"


// ***********************************************************************

class OH323Tut: public PProcess  
{
	PCLASSINFO(OH323Tut, PProcess) 
public:
	OH323Tut();
	~OH323Tut();

	virtual void Main(); 
	void printHelp();  


 protected:
	ProgConf progConf; 
	PSyncPoint terminationSync; 

};  


#endif
